## org.omg.CosNaming
Class BindingHolder

    java.lang.Object
      |
      +--org.omg.CosNaming.BindingHolder

All Implemented Interfaces:
  Streamable

public final class BindingHolder
extends java.lang.Object
implements Streamable

Holder class for : Binding

Author:
  OpenORB Compiler

Field Summary
`Binding` `value` Internal Binding value

Constructor Summary
`BindingHolder()` Default constructor
`BindingHolder(Binding initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read Binding from a marshalled stream
`TypeCode` `_type()` Return the Binding TypeCode
`void` `_write(OutputStream ostream)` Write Binding into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Binding value

  Internal Binding value

Constructor Detail

### BindingHolder

    public BindingHolder()

  Default constructor

### BindingHolder

    public BindingHolder(Binding initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read Binding from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write Binding into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the Binding TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode